<?php

namespace Was\Smartcash\Model;

/**
 * Was Smartcash Custom Payment Method Model
 */
class Smartcash extends \Magento\Payment\Model\Method\AbstractMethod {

    protected $urlInterface;

    /**
     * Payment Method code
     *
     * @var string
     */
    protected $_code = 'smartcash';

    public function __construct(\Magento\Framework\Model\Context $context, 
            \Magento\Framework\UrlInterface $urlInterface, 
            \Magento\Framework\Registry $registry, 
            \Magento\Framework\Api\ExtensionAttributesFactory $extensionFactory, 
            \Magento\Framework\Api\AttributeValueFactory $customAttributeFactory,
            \Magento\Payment\Helper\Data $paymentData,
            \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
            \Magento\Payment\Model\Method\Logger $logger,
            \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
            \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
            array $data = array(), 
            \Magento\Directory\Helper\Data $directory = null) {
        $this->urlInterface = $urlInterface;
        parent::__construct($context, $registry, $extensionFactory, $customAttributeFactory, $paymentData, $scopeConfig, $logger, $resource, $resourceCollection, $data, $directory);
        
    }
}
